package com.ruoyi.system.service;

import com.ruoyi.system.entity.CommonEntity;
import com.ruoyi.system.entity.TableSql;


import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


public interface ICommonService {


    /**
     * 单表查询列表
     */
    List<CommonEntity> selectList(CommonEntity commonEntity);

    /**
     * 批量新增
     */
    int batchInsert(CommonEntity commonEntity);

    /**
     * 修改
     */
    int edit(CommonEntity commonEntity);

    /**
     * 批量删除
     */
    int batchDelete(CommonEntity commonEntity);

    /**
     * 根据sqlkey 执行sql并返回结果
     */
    List<CommonEntity> queryTableList(CommonEntity commonEntity, TableSql tableSql);

    /**
     * 表格组查询表格信息
     * @param commonEntity
     * @param tableSql
     * @return
     */
    List<CommonEntity> queryGroupTableList(CommonEntity commonEntity, TableSql tableSql);

    /**
     * 导出列表
     */
    void export(HttpServletResponse response, CommonEntity commonEntity) throws Exception;

    /**
     * 导出模版
     */
    void exportTemplate(HttpServletResponse response, String tableName, String sqlKey) throws Exception;

    /**
     * 动态表单预览接口
     */
    List<CommonEntity> dragTablePreview(CommonEntity commonEntity);

    /**
     * 获取详情
     */
    CommonEntity getInfoById(CommonEntity commonEntity);

    /**
     * 通用批量查询下拉框数据接口
     */
    CommonEntity queryDropDownBoxData(List<CommonEntity> commonEntityList);



}
/*

  bpm_execute_process bep.id AS bep_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  bpm_execute_process bep.task_key AS bep_task_key` varchar(255) DEFAULT NULL COMMENT '流程任务执行别名',
  bpm_execute_process bep.task_name AS bep_task_name` varchar(255) DEFAULT NULL COMMENT '任务名称',
  bpm_execute_process bep.task_plan_key AS bep_task_plan_key` varchar(255) DEFAULT NULL COMMENT '任务计划key',
  bpm_execute_process bep.task_node_key AS bep_task_node_key` varchar(255) DEFAULT NULL COMMENT '任务节点别名（记录当前流程执行过的最后一个节点id）',
  bpm_execute_process bep.task_node_next_key AS bep_task_node_next_key` varchar(255) DEFAULT NULL COMMENT '存贮下一个执行的节点',
  bpm_execute_process bep.task_process_type AS bep_task_process_type` varchar(100) DEFAULT NULL COMMENT '任务流程类型',
  bpm_execute_process bep.task_process_key AS bep_task_process_key` varchar(255) DEFAULT NULL COMMENT '定义的流程别名',
  bpm_execute_process bep.task_process_xml_content AS bep_task_process_xml_content` text COMMENT 'xml标签内容',
  bpm_execute_process bep.task_process_state AS bep_task_process_state` int(11) DEFAULT NULL COMMENT '任务流程状态',
  bpm_execute_process bep.task_process_note AS bep_task_process_note` text COMMENT '版本注释',
  bpm_execute_process bep.del_flag AS bep_del_flag` char(1) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  bpm_execute_process bep.remark AS bep_remark` varchar(255) DEFAULT NULL COMMENT '备注',


bep.id AS bep_id,
bep.task_key AS bep_task_key,
bep.task_name AS bep_task_name,
bep.task_plan_key AS bep_task_plan_key,
bep.task_node_key AS bep_task_node_key,
bep.task_node_next_key AS bep_task_node_next_key,
bep.task_process_type AS bep_task_process_type,
bep.task_process_key AS bep_task_process_key,
bep.task_process_xml_content AS bep_task_process_xml_content,
bep.task_process_state AS bep_task_process_state,
bep.task_process_note AS bep_task_process_note,
bep.del_flag AS bep_del_flag,
bep.remark AS bep_remark,


bpm_execute_node` (
  id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  ` varchar(50) DEFAULT NULL COMMENT '当前执行流程任务编号task_key',
  ` varchar(50) DEFAULT NULL COMMENT '节点编号',
  ` varchar(100) DEFAULT NULL COMMENT '节点名称',
  ` varchar(50) DEFAULT NULL COMMENT '表单编号',
  ` varchar(50) DEFAULT NULL COMMENT '节点类型（当前节点是判断、网关、普通节点等等。。。。。）',
  ` varchar(255) DEFAULT NULL COMMENT '节点前（节点前后只能执行脚本，下一个节点前相当于当前节点后）',
  ` varchar(255) DEFAULT NULL COMMENT '节点后（节点前只存在一个）',
  ` varchar(255) DEFAULT NULL COMMENT '角色权限 虚拟角色-》勾选用户存储中间表',
  ` varchar(255) DEFAULT NULL COMMENT '节点描述',
  ` varchar(255) DEFAULT NULL COMMENT '节点任务执行数量记录（件数）',
  ` varchar(255) DEFAULT NULL COMMENT '节点任务执行重量记录（重量）',
  ` varchar(255) DEFAULT NULL COMMENT '节点状态(0:未执行 1：已执行)',
  ` varchar(255) DEFAULT NULL COMMENT '流程发起的时添设置该任务的优先级',
  ` varchar(255) DEFAULT NULL COMMENT '执行节点备用列（未启用）',
  ` varchar(255) DEFAULT NULL COMMENT '执行节点备用列（未启用）',
  ` varchar(255) DEFAULT NULL COMMENT '执行节点备用列（未启用）',
  ` varchar(255) DEFAULT NULL COMMENT '执行节点备用列（未启用）',
  ` varchar(255) DEFAULT NULL COMMENT '执行节点备用列（未启用）',
  ` char(1) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  ` varchar(64) DEFAULT NULL COMMENT '执行者ID',
  ` varchar(64) DEFAULT NULL COMMENT '执行者',
  ` datetime DEFAULT NULL COMMENT '执行时间',

























 */


